# Interface methods for submodule: FiniteDifferenceImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: FiniteDifferenceImageFilter
class FiniteDifferenceImageFilterProxy(_InPlaceImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	def GetElapsedIterations(self) -> int:
		""""""
		...

	def GetDifferenceFunction(self):
		""""""
		...

	def SetDifferenceFunction(self, _arg) -> None:
		""""""
		...

	def SetNumberOfIterations(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfIterations(self) -> int:
		""""""
		...

	def SetUseImageSpacing(self, _arg: bool) -> None:
		""""""
		...

	def UseImageSpacingOn(self) -> None:
		""""""
		...

	def UseImageSpacingOff(self) -> None:
		""""""
		...

	def GetUseImageSpacing(self) -> bool:
		""""""
		...

	def SetMaximumRMSError(self, _arg: float) -> None:
		""""""
		...

	def GetMaximumRMSError(self) -> float:
		""""""
		...

	def SetRMSChange(self, _arg: float) -> None:
		""""""
		...

	def GetRMSChange(self) -> float:
		""""""
		...

	def SetManualReinitialization(self, _arg: bool) -> None:
		""""""
		...

	def GetManualReinitialization(self) -> bool:
		""""""
		...

	def ManualReinitializationOn(self) -> None:
		""""""
		...

	def ManualReinitializationOff(self) -> None:
		""""""
		...

	def SetIsInitialized(self, _arg: bool) -> None:
		""""""
		...

	def GetIsInitialized(self) -> bool:
		""""""
		...

	def SetStateToUninitialized(self) -> None:
		""""""
		...

	def SetStateToInitialized(self) -> None:
		""""""
		...

